org.apache.geode.cache.execute

## Class FunctionInvocationTargetException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.geode.GemFireException
        - - org.apache.geode.cache.execute.FunctionException
          - - org.apache.geode.cache.execute.FunctionInvocationTargetException

- All Implemented Interfaces:
    java.io.Serializable

      public class FunctionInvocationTargetException
      extends FunctionException

  Thrown if one of the function execution nodes goes away or cache is closed. Function needs to be re-executed if the `Throwable.getCause()` is FunctionInvocationTargetException.
  Since:
    GemFire 6.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FunctionInvocationTargetException(java.lang.String msg)` Construct an instance of FunctionInvocationTargetException
    `FunctionInvocationTargetException(java.lang.String msg, DistributedMember id)` Construct an instance of FunctionInvocationTargetException
    `FunctionInvocationTargetException(java.lang.String msg, java.lang.Throwable cause)` Construct an instance of FunctionInvocationTargetException
    `FunctionInvocationTargetException(java.lang.Throwable cause)` Construct an instance of FunctionInvocationTargetException

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DistributedMember` | `getMemberId()` Method to get the member id of the Exception

    - ### Methods inherited from class org.apache.geode.cache.execute.FunctionException

      `addException, addExceptions, getExceptions`

    - ### Methods inherited from class org.apache.geode.GemFireException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FunctionInvocationTargetException

          public FunctionInvocationTargetException(java.lang.Throwable cause)

      Construct an instance of FunctionInvocationTargetException
      Parameters:
        `cause` - a Throwable cause of this exception

    - #### FunctionInvocationTargetException

          public FunctionInvocationTargetException(java.lang.String msg,
                                                   DistributedMember id)

      Construct an instance of FunctionInvocationTargetException
      Parameters:
        `msg` - the error message
        `id` - the DistributedMember id of the source
      Since:
        GemFire 6.5

    - #### FunctionInvocationTargetException

          public FunctionInvocationTargetException(java.lang.String msg)

      Construct an instance of FunctionInvocationTargetException
      Parameters:
        `msg` - Exception message

    - #### FunctionInvocationTargetException

          public FunctionInvocationTargetException(java.lang.String msg,
                                                   java.lang.Throwable cause)

      Construct an instance of FunctionInvocationTargetException
      Parameters:
        `msg` - the error message
        `cause` - a Throwable cause of this exception

  - ### Method Detail

    - #### getMemberId

          public DistributedMember getMemberId()

      Method to get the member id of the Exception
      Returns:
        DistributedMember id
      Since:
        GemFire 6.5